For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all counterparts
      • POSTCreate a counterpart
      • GETGet a counterpart
      • DELDelete a counterpart
      • PATCHUpdate a counterpart
      • GETGet counterpart metadata
      • PUTReplace counterpart metadata
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterparts

Replace counterpart metadata

PUT
/counterparts/:counterpart_id/partner_metadata
PUT
/v1/counterparts/:counterpart_id/partner_metadata
$curl -X PUT https://api.sandbox.monite.com/v1/counterparts/counterpart_id/partner_metadata \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "metadata": {
> "key": "value"
> }
>}'
1{
2 "metadata": {
3 "key": "value"
4 }
5}
Was this page helpful?
Previous

Get a counterpart's addresses

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
metadatamap from strings to anyRequired
Metadata for partner needs

Response

Successful Response
metadatamap from strings to any
Metadata for partner needs

Errors

401
Put Counterparts ID Partner Metadata Request Unauthorized Error
403
Put Counterparts ID Partner Metadata Request Forbidden Error
404
Put Counterparts ID Partner Metadata Request Not Found Error
422
Put Counterparts ID Partner Metadata Request Unprocessable Entity Error
500
Put Counterparts ID Partner Metadata Request Internal Server Error